{
  "name": "website",
  "type": "module",
  "version": "0.0.1",
  "scripts": {
    "dev": "run-s astro:sync astro:dev",
    "build": "run-s astro:build",
    "astro:sync": "astro sync",
    "astro:dev": "astro dev",
    "astro:build": "astro check && astro build"
  },
  "dependencies": {
    "@astrojs/check": "^0.9.4",
    "@astrojs/node": "^9.4.3",
    "@astrojs/preact": "^4.1.1",
    "@fontsource-variable/material-symbols-outlined": "^5.1.1",
    "@fontsource/iosevka": "^5.0.11",
    "@fontsource/mononoki": "^5.0.11",
    "@fontsource/open-sans": "^5.0.24",
    "@fontsource/source-code-pro": "^5.0.16",
    "@fontsource/source-sans-pro": "^5.0.8",
    "@fontsource/space-mono": "^5.0.20",
    "@phosphor-icons/core": "^2.1.1",
    "@phosphor-icons/react": "^2.1.7",
    "@preact/signals": "^1.3.0",
    "@types/jsdom": "^21.1.7",
    "astro": "^5.13.7",
    "fuse.js": "^7.0.0",
    "katex": "^0.16.9",
    "lucide-static": "^0.468.0",
    "marked": "^15.0.6",
    "preact": "^10.19.6",
    "typescript": "^5.3.3"
  },
  "devDependencies": {
    "@astrojs/mdx": "^4.3.5",
    "@rollup/plugin-yaml": "^4.1.2",
    "@types/katex": "^0.16.7",
    "jsdom": "^24.1.1",
    "linkedom": "^0.18.4",
    "npm-run-all": "^4.1.5",
    "prettier": "^3.5.0",
    "prettier-plugin-astro": "^0.14.1",
    "rehype-autolink-headings": "^7.1.0",
    "rehype-slug": "^6.0.0",
    "remark-math": "^6.0.0",
    "remark-toc": "^9.0.0",
    "sass": "^1.71.1",
    "tsx": "^4.7.1"
  }
}
